igeo.io

## Class IRhino3dm.UUID

- java.lang.Object
- - igeo.io.IRhino3dm.UUID

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.UUID
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `data1`
    `short` | `data2`
    `short` | `data3`
    `byte[]` | `data4`
    `static IRhino3dm.UUID` | `nilValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UUID()`
    `UUID(int d1, short d2, short d3, byte[] d4)`
    `UUID(long l1, long l2)`
    `UUID(java.lang.String uuidStr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte` | `charToByte(char c)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `static byte` | `hexStringToByte(java.lang.String str)`
    `static byte[]` | `hexStringToBytes(java.lang.String str)`
    `static int` | `hexStringToInt(java.lang.String str)`
    `static short` | `hexStringToShort(java.lang.String str)`
    `void` | `initWithString(java.lang.String uuidStr)`
    `(package private) static IRhino3dm.UUID` | `randomUUID()`
    `java.lang.String` | `toString()`
    `void` | `write(java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nilValue

          public static IRhino3dm.UUID nilValue

    - #### data1

          public int data1

    - #### data2

          public short data2

    - #### data3

          public short data3

    - #### data4

          public byte[] data4

  - ### Constructor Detail

    - #### UUID

          public UUID()

    - #### UUID

          public UUID(java.lang.String uuidStr)

    - #### UUID

          public UUID(int d1,
                      short d2,
                      short d3,
                      byte[] d4)

    - #### UUID

          public UUID(long l1,
                      long l2)

  - ### Method Detail

    - #### randomUUID

          static IRhino3dm.UUID randomUUID()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### initWithString

          public void initWithString(java.lang.String uuidStr)

    - #### write

          public void write(java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hexStringToBytes

          public static byte[] hexStringToBytes(java.lang.String str)
                                         throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`

    - #### hexStringToInt

          public static int hexStringToInt(java.lang.String str)
                                    throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`

    - #### hexStringToShort

          public static short hexStringToShort(java.lang.String str)
                                        throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`

    - #### hexStringToByte

          public static byte hexStringToByte(java.lang.String str)

    - #### charToByte

          public static byte charToByte(char c)
                                 throws java.lang.NumberFormatException

      Throws:
        `java.lang.NumberFormatException`